local celeste = require("#celeste")

function onTalk()
	disableMovement()
	disableRetry()
	say("CC_SmartyNotchy_Dadish_PossumMode")
	-- zoom to a point x, y, amount, duration
	coroutine.yield(engine.Scene:ZoomTo(vector2(144, 100), 1.22, 0.5))
	if choice("CC_SmartyNotchy_Dadish_PossumYes", "CC_SmartyNotchy_Dadish_PossumNo") == 1 then
		playSound("event:/classic/sfx51")
		say("CC_SmartyNotchy_Dadish_PossumModeLoading")
		setFlag("possumModeLoading",true)
		wait(2)
		setFlag("possumMode",true)
		setFlag("possumModeLoading",false)
		coroutine.yield(engine.Scene:ZoomBack(0.5))
		say("CC_SmartyNotchy_Dadish_PossumModeActivated")
	else
		playSound("event:/classic/sfx51")
		setFlag("possumMode",false)
		coroutine.yield(engine.Scene:ZoomBack(0.5))
	end
	wait(0.5)
	enableMovement()
end

function onEnd()
	enableRetry()
end